%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_difference_cvar
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_difference_cvar.zip'
%Run program 'problem_difference_cvar.m'
%=======================================================================

clc;
clear;
addpath('..');
%Load data:
load('.\problem_difference_cvar_data.mat')

%Define input arguments:
risk={0.5,'quadratic',0.6,'cvar_risk',-0.05,'cvar_risk'};
w={[],0.3,0.95};
H={H1,H2,H2};

%Solve optimization problems:
[xout, fval, status, output] = riskprog(risk, w, H, [], [], [], [], [], [], [], lb, ub);

%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('quadratic = %g', output.frval(1)));
disp(sprintf('cvar_risk = %g', output.frval(2)));
disp(sprintf('cvar_risk = %g', output.frval(3)));
%Display optimal point:
disp('optimal point = ');
disp(xout);
